Package fr.gouv.vitam.processing.common.metrics

# Class CommonProcessingMetrics

java.lang.Object
fr.gouv.vitam.processing.common.metrics.CommonProcessingMetrics

public class CommonProcessingMetrics extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final io.prometheus.client.Gauge`
  `CURRENTLY_INSTANTIATED_TASKS`
  Count the number of tasks created by the distributor and not yet completed The tasks maybe in the queue or waiting to be enqueued
  `static final io.prometheus.client.Histogram`
  `PROCESS_WORKFLOW_STEP_EXECUTION_DURATION_HISTOGRAM`
  ProcessWorkflow step execution duration form ProcessEngine point of view
  `static final io.prometheus.client.Gauge`
  `REGISTERED_WORKERS`
  Count the number of registered workers If we know that we have 2 workers, but metrics says 1 worker => this means that we have to analyse why we have only 1 instead of 2
  `static final io.prometheus.client.Histogram`
  `WORKER_TASKS_EXECUTION_DURATION_HISTOGRAM`
  Worker task execution duration From call of worker until receiving the response.
  `static final io.prometheus.client.Histogram`
  `WORKER_TASKS_IDLE_DURATION_IN_QUEUE`
  Worker task waiting in the queue From task creation, until dequeue by a given thread
  `static final io.prometheus.client.Gauge`
  `WORKER_TASKS_IN_QUEUE`
  Count the number of worker task in the queue If the queue is empty, means there no more operation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonProcessingMetrics()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WORKER_TASKS_IN_QUEUE

    public static final io.prometheus.client.Gauge WORKER_TASKS_IN_QUEUE
    Count the number of worker task in the queue If the queue is empty, means there no more operation. => if per month for example we have empty queue, means that we can reduce the number of workers If the queue is full, means that worker cant consume all tasks => perhaps, we have to add more workers

  - ### CURRENTLY_INSTANTIATED_TASKS

    public static final io.prometheus.client.Gauge CURRENTLY_INSTANTIATED_TASKS
    Count the number of tasks created by the distributor and not yet completed The tasks maybe in the queue or waiting to be enqueued

  - ### REGISTERED_WORKERS

    public static final io.prometheus.client.Gauge REGISTERED_WORKERS
    Count the number of registered workers If we know that we have 2 workers, but metrics says 1 worker => this means that we have to analyse why we have only 1 instead of 2

  - ### WORKER_TASKS_EXECUTION_DURATION_HISTOGRAM

    public static final io.prometheus.client.Histogram WORKER_TASKS_EXECUTION_DURATION_HISTOGRAM
    Worker task execution duration From call of worker until receiving the response. Task contains one or collection of elements to send to workers

  - ### WORKER_TASKS_IDLE_DURATION_IN_QUEUE

    public static final io.prometheus.client.Histogram WORKER_TASKS_IDLE_DURATION_IN_QUEUE
    Worker task waiting in the queue From task creation, until dequeue by a given thread

  - ### PROCESS_WORKFLOW_STEP_EXECUTION_DURATION_HISTOGRAM

    public static final io.prometheus.client.Histogram PROCESS_WORKFLOW_STEP_EXECUTION_DURATION_HISTOGRAM
    ProcessWorkflow step execution duration form ProcessEngine point of view

- ## Constructor Details

  - ### CommonProcessingMetrics

    public CommonProcessingMetrics()